ESTIMATEEXPRESSION(1)

NAME
estimateExpression - estimate expression given precomputed probabilities of (observed) reads alignments

SYNOPSIS
estimateExpression -o <outFilePrefix> [OPTIONS] [prob file]

DESCRIPTION
Estimates expression given precomputed probabilities of (observed) reads' alignments.

    Uses MCMC sampling algorithm to produce relative abundance or RPKM.

OPTIONS

--help

    Show this help information.

--MCMC_burnIn=<MCMC_burnIn>

    Length of sampler's burn in period. (default: 1000)

--MCMC_chainsN=<MCMC_chainsN>

    Number of parallel chains used. At least two chains will be used. (default: 4)

--MCMC_dirAlpha=<MCMC_dirAlpha>

    Alpha parameter for the Dirichlet distribution. (default: 1)

--MCMC_samplesDOmax

    Produce maximum number of samples (samplesNmax) in second iteration and quit. (default: Off)

--MCMC_samplesN=<MCMC_samplesN>

    Initial number of samples produced. Doubles after every iteration. (default: 1000)

--MCMC_samplesNmax=<MCMC_samplesNmax>

    Maximum number of samples produced in one iteration. After producing samplesNmax samples sampler finishes. (default: 50000)

--MCMC_samplesSave=<MCMC_samplesSave>

    Number of samples recorder in total. (default: 1000)

--MCMC_scaleReduction=<MCMC_scaleReduction>

    Target scale reduction, sampler finishes after this value is met. (default: 1.2)

-G , --gibbs

    Use Gibbs sampling instead of collapsed Gibbs sampling. (default: Off)

-o <outFilePrefix> , --outPrefix=<outFilePrefix>

    Prefix for the output files.

-O <outputType> , --outType=<outputType>

    Output type (theta, RPKM, counts, tau). (default: theta)

-p <parFileName> , --parFile=<parFileName>

    File containing parameters for the sampler, which can be otherwise specified by --MCMC* options. As the file is checked after every MCMC iteration, the parameters can be adjusted while running.

-P <procN> , --procN=<procN>

    Limit the maximum number of threads to be used. (Default is the number of MCMC chains.)

--scaleReduction

    Use scale reduction as stopping criterion, instead of computing effective sample size. (default: Off)

-s <seed> , --seed=<seed>

    Random initialization seed.

--thetaActFile=<thetaActFileName>

    File for logging noise parameter theta^{act}.

-t <trInfoFileName> , --trInfoFile=<trInfoFileName>

    File containing transcript information. (Necessary for RPKM)

-v , --verbose

    Verbose output. (default: Off)